#!/bin/sh

OMPI_HOME=/hpc/local/voltaire/openmpi-1.4.1/build-release/install
IMB_EXE=/hpc/local/oss/mpitests/1.4.1/imb_3.2/IMB-MPI1
PPN=8
HOSTS="boo1,boo2,boo3,boo4,boo5,boo6,boo7,boo8,boo9,boo10"
OMPI_PARAMS="-mca btl_openib_if_include mlx4_0:1 -mca btl sm,self,openib -bind-to-core"

##################### Do not edit below this line #####################

NHOSTS=$(echo $HOSTS |sed -e "s/,/ /g"|wc -w)
NP=$(expr $PPN \* $NHOSTS)
FCA_HOME=$(cd `dirname $0`/..;pwd)


if [ "$1" == "fca" ]; then
        echo Using FCA
        FCA_PARAMS="-mca coll_fca_np 0 -mca coll_fca_enable 1"
else
        echo Using OMPI
        FCA_PARAMS="-mca coll_fca_enable 0"
fi



$OMPI_HOME/bin/mpirun -npernode $PPN -H $HOSTS $OMPI_PARAMS $FCA_PARAMS $IMB_EXE -npmin $NP Allreduce Reduce Barrier Bcast Allgather Allgatherv
